#
# See slapd.conf(5) for details on configuration options.
# This file should NOT be world readable.
#
include			/usr/local/etc/openldap/schema/core.schema
include         /usr/local/etc/openldap/schema/cosine.schema
include         /usr/local/etc/openldap/schema/inetorgperson.schema
include         /usr/local/etc/openldap/schema/misc.schema
include         /usr/local/etc/openldap/schema/nis.schema
include         /usr/local/etc/openldap/schema/ppolicy.schema

# Define global ACLs to disable default read access.

# Do not enable referrals until AFTER you have a working directory
# service AND an understanding of referrals.
#referral	ldap://root.openldap.org

pidfile		/usr/local/var/run/slapd.pid
argsfile	/usr/local/var/run/slapd.args

# Load dynamic backend modules:
# modulepath	/usr/local/libexec/openldap
modulepath	/usr/local/lib
# moduleload	back_bdb.la
moduleload	back_hdb.la
moduleload	ppolicy.la
moduleload	syncprov.la
# moduleload	back_ldap.la

# Sample security restrictions
#	Require integrity protection (prevent hijacking)
#	Require 112-bit (3DES or better) encryption for updates
#	Require 63-bit encryption for simple bind
# security ssf=1 update_ssf=112 simple_bind=64

# Sample access control policy:
#	Root DSE: allow anyone to read it
#	Subschema (sub)entry DSE: allow anyone to read it
#	Other DSEs:
#		Allow self write access
#		Allow authenticated users read access
#		Allow anonymous users to authenticate
#	Directives needed to implement policy:
# access to dn.base="" by * read
# access to dn.base="cn=Subschema" by * read
# access to *
#	by self write
#	by users read
#	by anonymous auth
#
# if no access controls are present, the default policy
# allows anyone and everyone to read anything but restricts
# updates to rootdn.  (e.g., "access to * by * read")
#
# rootdn can always read and write EVERYTHING!

#######################################################################
# BDB database definitions
#######################################################################

database	hdb
suffix		"dc=example,dc=com"
rootdn		"cn=ldapadmin,dc=example,dc=com"
# Cleartext passwords, especially for the rootdn, should
# be avoid.  See slappasswd(8) and slapd.conf(5) for details.
# Use of strong authentication encouraged.
rootpw		secret
# The database directory MUST exist prior to running slapd AND 
# should only be accessible by the slapd and slap tools.
# Mode 700 recommended.
directory	/usr/local/var/openldap-data
# Indices to maintain
index	objectClass	eq

access to *
	by self write
	by * read

syncrepl rid=000
	 provider=master2_ip_address
	 type=refreshAndPersist
	 retry="5 5 300 +"
	 searchbase="dc=example,dc=com"
	 attrs="*,+"
	 bindmethod=simple
	 binddn="cn=ldapreplicator,dc=example,dc=com"
	 credentials=replicator_secret

mirrormode	TRUE

overlay		ppolicy
ppolicy_default	"cn=default,ou=Policies,dc=example,dc=com"

overlay		syncprov
syncprov-checkpoint	100 10
syncprov-sessionlog	100

loglevel 256
